Summary:        Read key-value pairs from a .env file and set them as environment variables
Name:           python-dotenv
Version:        0.21.1
Release:        6%{?dist}
License:        BSD-3-Clause
URL:            https://github.com/theskumar/python-dotenv
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

Patch0001:      0001-Drop-support-for-python-3.7-add-python-3.12-dev-449.patch

BuildRequires:  python3-devel
BuildArch:      noarch

%description
Reads the key/value pair from .env file and adds them to environment variable.


%package -n     python3-dotenv
Summary:        %{summary}
Recommends:     python3-dotenv+cli

%description -n python3-dotenv
Reads the key/value pair from .env file and adds them to environment variable.

%package -n     python3-dotenv+cli
Summary:        %{summary}
BuildRequires:  python3-click >= 5.0

%description -n python3-dotenv+cli
This is a metapackage bringing in cli extras requires for python3-dotenv.
It makes sure the dependencies are installed.


%prep
%autosetup -p1

sed -Ei -e "/^  pytest-cov$/d" \
        -e "s/--cov //" \
        -e "s/--cov-[[:alnum:]]+(=| +)[^ ]+ //g" \
    tox.ini

sed -i -e '/ipython/d' requirements.txt tox.ini


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files dotenv


%check
%tox


%files -n python3-dotenv -f %{pyproject_files}
%doc README.md

%files -n python3-dotenv+cli
%{_bindir}/dotenv
%{python3_sitelib}/*


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.21.1-6
- Rebuilt for loongarch release

* Sun Oct 8 2023 Shuo Wang <abushwang@tencent.com> - 0.21.1-5
- fix check fail when python-sh update

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.21.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.21.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.21.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 cunshunxia <cunshunxia@tencent.com> - 0.21.1-1
- initial build
